Set up test server that fakes backend moved paragraph changes
Closed, ResolvedPublic5 Story Points

Description

Motivation
WMF Reading team should be able to test how the moved paragraph changes affect their mobile output view

Task

Lea_WMDE created this task.Feb 20 2018, 4:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2018, 4:26 PM
Tobi_WMDE_SW set the point value for this task to 5.
Lea_WMDE updated the task description. (Show Details)Feb 22 2018, 10:37 AM

Hi Readers-Web-Backlog team! For better testing from your side we are setting up a test server. If you think that won't help you at all, please let us know asap! If you think that will help, can you please provide us with the people who should have access to the server for thorough testing? Thanks!

Yes that would be delightful. Myself, @phuedx @Jhernandez @Sniedzielski @Jdrewniak @pmiazga would all need access. Thanks !!

WMDE-Fisch moved this task from Sprint backlog to Doing on the WMDE-QWERTY-Sprint-2018-02-20 board.

I setup a very simple server that has a patch included that completely mocks the HTML as it would be returned by the wikidiff2 implementation. The first link shows the desktop diff from our diff testing servers as it would appear with the latest improvements to the algorithm. The second link shows the same diff as it would appear on the mobile view with the inline diff.

Example 1: "Rogers"
https://wmde-wikidiff2-patched.wmflabs.org/core/index.php?title=Rogers&type=revision&diff=55&oldid=54
https://tools.wmflabs.org/wmde-inline-movedparagraphs/core/index.php?title=Special:MobileDiff/2&mobileaction=toggle_view_mobile

Example 2: "Xandira"
https://wmde-wikidiff2-patched.wmflabs.org/core/index.php?title=Xandria&type=revision&diff=57&oldid=56
https://tools.wmflabs.org/wmde-inline-movedparagraphs/core/index.php?title=Special:MobileDiff/4&mobileaction=toggle_view_mobile

@WMDE-Fisch yay :) Only in the example 1 "Rogers" the change is performed on the "old" paragraph, but all changes should be shown in the new location. Could you also adapt the examples, so that all include text changes (so we have instances of deletions and of additions and of course of text that stayed the same)?

@WMDE-Fisch yay :) Only in the example 1 "Rogers" the change is performed on the "old" paragraph, but all changes should be shown in the new location. Could you also adapt the examples, so that all include text changes (so we have instances of deletions and of additions and of course of text that stayed the same)?

Additions and deletions stay exactly the same, that's why I did not explicitly look for examples where they are included as well and I wanted to keep this as simple as possible. Text that stayed the same is included in the "Rogers" example.

Yes that would be delightful. Myself, @phuedx @Jhernandez @Sniedzielski @Jdrewniak @pmiazga would all need access. Thanks !!

I added everyone I could find on tools - https://toolsadmin.wikimedia.org/tools/id/wmde-inline-movedparagraphs

Lea_WMDE closed this task as Resolved.Mar 6 2018, 3:16 PM

We feel like we are done from our side for the prototype. If not, please let us know!